Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class CMapFormat0

    java.lang.Object
      com.sun.pdfview.font.ttf.CMap
          com.sun.pdfview.font.ttf.CMapFormat0

    public class CMapFormat0

extends CMap

Constructor Summary
`protected` | `CMapFormat0(short language)` Creates a new instance of CMapFormat0

Method Summary
`java.nio.ByteBuffer` | `getData()` Get the data in this map as a ByteBuffer
`short` | `getLength()` Get the length of this table
`protected byte[]` | `getMap()` Get the whole map
`byte` | `map(byte src)` Map from a byte
`char` | `map(char src)` Cannot map from short
`char` | `reverseMap(short glyphID)` Get the src code which maps to the given glyphID
`void` | `setData(int length, java.nio.ByteBuffer data)` Read the map in from a byte buffer
`void` | `setMap(byte[] glyphIndex)` Set the entire map
`void` | `setMap(byte src, byte dest)` Set a single mapping entry

Methods inherited from class com.sun.pdfview.font.ttf.CMap
`createMap, getFormat, getLanguage, getMap, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMapFormat0

    protected CMapFormat0(short language)

  Creates a new instance of CMapFormat0

Method Detail

### getLength

    public short getLength()

  Get the length of this table

  Specified by:
    `getLength` in class `CMap`

### map

    public byte map(byte src)

  Map from a byte

  Specified by:
    `map` in class `CMap`

### map

    public char map(char src)

  Cannot map from short

  Specified by:
    `map` in class `CMap`

### reverseMap

    public char reverseMap(short glyphID)

  Get the src code which maps to the given glyphID

  Specified by:
    `reverseMap` in class `CMap`

### setMap

    public void setMap(byte[] glyphIndex)

  Set the entire map

### setMap

    public void setMap(byte src,
                       byte dest)

  Set a single mapping entry

### getMap

    protected byte[] getMap()

  Get the whole map

### getData

    public java.nio.ByteBuffer getData()

  Get the data in this map as a ByteBuffer

  Specified by:
    `getData` in class `CMap`

### setData

    public void setData(int length,
                        java.nio.ByteBuffer data)

  Read the map in from a byte buffer

  Specified by:
    `setData` in class `CMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD